List operation types
Retrieve a paginated list of operation types with filtering and sorting
GET
/
admin
/
api
/
v1
/
inventories
/
operation-types
List operation types
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/inventories/operation-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/operation-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/operation-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/operation-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"name": "Receipts",
"type": "incoming",
"sort": 1,
"sequence_code": "IN",
"reservation_method": "at_confirm",
"reservation_days_before": 0,
"reservation_days_before_priority": 0,
"product_label_format": "2x7xprice",
"lot_label_format": "4x12_lots",
"package_label_to_print": "pdf",
"barcode": "WHIN",
"create_backorder": "ask",
"move_type": "direct",
"show_entire_packs": false,
"use_create_lots": true,
"use_existing_lots": true,
"print_label": false,
"show_operations": false,
"auto_show_reception_report": false,
"auto_print_delivery_slip": false,
"auto_print_return_slip": false,
"auto_print_product_labels": false,
"auto_print_lot_labels": false,
"auto_print_reception_report": false,
"auto_print_reception_report_labels": false,
"auto_print_packages": false,
"auto_print_package_label": false,
"created_at": "2025-04-07T13:12:33.000000Z",
"updated_at": "2025-04-07T13:12:33.000000Z",
"deleted_at": null
},
{
"id": 1,
"name": "Receipts",
"type": "incoming",
"sort": 1,
"sequence_code": "IN",
"reservation_method": "at_confirm",
"reservation_days_before": 0,
"reservation_days_before_priority": 0,
"product_label_format": "2x7xprice",
"lot_label_format": "4x12_lots",
"package_label_to_print": "pdf",
"barcode": "WHIN",
"create_backorder": "ask",
"move_type": "direct",
"show_entire_packs": false,
"use_create_lots": true,
"use_existing_lots": true,
"print_label": false,
"show_operations": false,
"auto_show_reception_report": false,
"auto_print_delivery_slip": false,
"auto_print_return_slip": false,
"auto_print_product_labels": false,
"auto_print_lot_labels": false,
"auto_print_reception_report": false,
"auto_print_reception_report_labels": false,
"auto_print_packages": false,
"auto_print_package_label": false,
"created_at": "2025-04-07T13:12:33.000000Z",
"updated_at": "2025-04-07T13:12:33.000000Z",
"deleted_at": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
List operation types
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/inventories/operation-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/inventories/operation-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/inventories/operation-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/inventories/operation-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"name": "Receipts",
"type": "incoming",
"sort": 1,
"sequence_code": "IN",
"reservation_method": "at_confirm",
"reservation_days_before": 0,
"reservation_days_before_priority": 0,
"product_label_format": "2x7xprice",
"lot_label_format": "4x12_lots",
"package_label_to_print": "pdf",
"barcode": "WHIN",
"create_backorder": "ask",
"move_type": "direct",
"show_entire_packs": false,
"use_create_lots": true,
"use_existing_lots": true,
"print_label": false,
"show_operations": false,
"auto_show_reception_report": false,
"auto_print_delivery_slip": false,
"auto_print_return_slip": false,
"auto_print_product_labels": false,
"auto_print_lot_labels": false,
"auto_print_reception_report": false,
"auto_print_reception_report_labels": false,
"auto_print_packages": false,
"auto_print_package_label": false,
"created_at": "2025-04-07T13:12:33.000000Z",
"updated_at": "2025-04-07T13:12:33.000000Z",
"deleted_at": null
},
{
"id": 1,
"name": "Receipts",
"type": "incoming",
"sort": 1,
"sequence_code": "IN",
"reservation_method": "at_confirm",
"reservation_days_before": 0,
"reservation_days_before_priority": 0,
"product_label_format": "2x7xprice",
"lot_label_format": "4x12_lots",
"package_label_to_print": "pdf",
"barcode": "WHIN",
"create_backorder": "ask",
"move_type": "direct",
"show_entire_packs": false,
"use_create_lots": true,
"use_existing_lots": true,
"print_label": false,
"show_operations": false,
"auto_show_reception_report": false,
"auto_print_delivery_slip": false,
"auto_print_return_slip": false,
"auto_print_product_labels": false,
"auto_print_lot_labels": false,
"auto_print_reception_report": false,
"auto_print_reception_report_labels": false,
"auto_print_packages": false,
"auto_print_package_label": false,
"created_at": "2025-04-07T13:12:33.000000Z",
"updated_at": "2025-04-07T13:12:33.000000Z",
"deleted_at": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}